;angular.module('Landers.angular')
    .directive('mCustomerScroll', [function(){
        return {
            restrict : 'A',
            link : function($scope, $ele, $attrs) {
                if (!$.fn.mCustomScrollbar) return;
                setTimeout(function(){
                    var $container = $ele.closest('.customer-scroll-container');
                    if ($container.length) {
                        var offset_scroll = parseInt($container.data('offset-scroll') || 0);
                        $ele.height($container.height() - offset_scroll);
                    }
                    $ele.mCustomScrollbar({
                        autoHideScrollbar:true,
                        scrollInertia:550,
                        theme:'minimal-dark',
                        preventDefault:true,
                        mouseWheel:true
                    });
                }, 300);
            }
        };
    }]);